Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 158195 - Anaconda does not activate swap on upgrade when using LABEL=SWAP-hda3
Summary: Anaconda does not activate swap on upgrade when using LABEL=SWAP-hda3
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: 4
Hardware: All
OS: Linux
medium
high
Target Milestone: ---
Assignee: Anaconda Maintenance Team
QA Contact: Mike McLean
URL:
Whiteboard:
Depends On:
Blocks: FC4Target
TreeView+ depends on / blocked
 
Reported: 2005-05-19 14:41 UTC by James Bourne
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-08-15 15:26:37 UTC


Attachments (Terms of Use)

Description James Bourne 2005-05-19 14:41:54 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.8) Gecko/20050513 Fedora/1.0.4-1.3.1 Firefox/1.0.4

Description of problem:
During upgrade (anaconda) did not find and activate the swap partition that was in /etc/fstab as label=SWAP-hda3.  This was added by the fc3 install (clean install).  When anaconda did not activate the swap on a 256M system it would try to fork and crash.

Work around was to change the swap line to /dev/hda3 in /etc/fstab then reboot to perform the upgrade.


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. change anaconda to recognize label=SWAP-diskdev

  

Additional info:

Comment 1 Jeremy Katz 2005-05-23 22:25:37 UTC
FC3 didn't ship with what ended up being the final format for the swap label :/
 anaconda will now try to convert from the old to the new format to help this. 
We probably won't do so anymore as of FC5, though.


Note You need to log in before you can comment on or make changes to this bug.